Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1509590 - Review Request: cool-retro-term - Terminal emulator mimicking a CRT display
Summary: Review Request: cool-retro-term - Terminal emulator mimicking a CRT display
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1511966
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-04 23:30 UTC by Artur Iwicki
Modified: 2017-12-12 14:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-10 05:08:06 UTC
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Artur Iwicki 2017-11-04 23:30:22 UTC
spec: https://svgames.pl/fedora/cool-retro-term-1.0.1-1.spec
srpm: https://svgames.pl/fedora/cool-retro-term-1.0.1-1.src.rpm
koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=22924308

Description: cool-retro-term is a terminal emulator which tries to mimic the look and feel of the old cathode tube screens. It has been designed to be eye-candy, customizable, and reasonably lightweight.

Fedora Account System Username: suve

Comment 1 Artur Iwicki 2017-11-05 13:44:22 UTC
I ran the package through fedora-review and a few issues turned up.

spec: https://svgames.pl/fedora/cool-retro-term-1.0.1-2.spec
srpm: https://svgames.pl/fedora/cool-retro-term-1.0.1-2.src.rpm
koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=22938177

Comment 2 Neal Gompa 2017-11-05 15:21:14 UTC
You should consider unbundling qmltermwidget...

I did so a while back in a COPR repo: https://copr.fedorainfracloud.org/coprs/ngompa/cool-retro-term/

Feel free to take those for making official packages.

Comment 3 Artur Iwicki 2017-11-06 20:57:21 UTC
Thanks! I'll take a look at those.

Comment 4 Artur Iwicki 2017-11-10 14:18:06 UTC
I unbundled qmltermwidget using the spec files from Neal's copr. I post new links to the spec and srpm below. No koji build due to waiting for the dependency to be accepted.

spec: https://svgames.pl/fedora/cool-retro-term-1.0.1-3.spec
srpm: https://svgames.pl/fedora/cool-retro-term-1.0.1-3.src.rpm

Comment 5 Neal Gompa 2017-11-11 15:01:38 UTC
Taking this review.

Comment 6 Artur Iwicki 2017-11-21 18:13:18 UTC
qmltermwidget, which is a dependency of this package, has been accepted. Hence, I post a link to a koji build. spec and SRPM as in the previous post (1.0.1-3).
https://koji.fedoraproject.org/koji/taskinfo?taskID=23288444

Comment 7 Neal Gompa 2017-11-25 23:00:20 UTC
Review notes:

[!] Spec file is named incorrectly. It should be named as cool-retro-term.spec

[!] Non-usage of %qt5_qmake macro. Please consider using it so that our distro-wide compiler settings are applied.

[!] Missing runtime dependency on qmltermwidget. QML modules do not yet have automatic dependencies, so they need to be specified.

[+] Software is licensed under a valid license, and license content is included correctly

[!] Notable issues from rpmlint from fedora-review:
- cool-retro-term.x86_64: W: spurious-executable-perm /usr/share/man/man1/cool-retro-term.1.gz

Comment 8 Artur Iwicki 2017-11-25 23:35:13 UTC
Thanks for the review. The spec file name inside the SRPM has a correct name; it's just that I prefer to version the linked specs during the review process.

Anyway:
spec: https://svgames.pl/fedora/cool-retro-term-1.0.1-4.spec
srpm: https://svgames.pl/fedora/cool-retro-term-1.0.1-4.src.rpm
koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=23376633

Comment 9 Neal Gompa 2017-11-26 06:27:41 UTC
I don't see any remaining issues.

PACKAGE APPROVED.

Comment 10 Gwyn Ciesla 2017-11-27 14:19:22 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/cool-retro-term

Comment 11 Fedora Update System 2017-11-29 11:34:50 UTC
cool-retro-term-1.0.1-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a03ca8d850

Comment 12 Fedora Update System 2017-11-29 11:35:20 UTC
cool-retro-term-1.0.1-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dfcc097b97

Comment 13 Fedora Update System 2017-11-29 11:35:52 UTC
cool-retro-term-1.0.1-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b3c73d2cbc

Comment 14 Fedora Update System 2017-11-29 14:48:54 UTC
cool-retro-term-1.0.1-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-603b011e54

Comment 15 Fedora Update System 2017-11-29 14:49:21 UTC
cool-retro-term-1.0.1-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-12f2895029

Comment 16 Fedora Update System 2017-11-29 14:49:53 UTC
cool-retro-term-1.0.1-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-813b682539

Comment 17 Fedora Update System 2017-12-02 08:18:15 UTC
cool-retro-term-1.0.1-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-813b682539

Comment 18 Fedora Update System 2017-12-02 22:38:31 UTC
cool-retro-term-1.0.1-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-12f2895029

Comment 19 Fedora Update System 2017-12-10 05:08:06 UTC
cool-retro-term-1.0.1-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2017-12-12 13:42:04 UTC
cool-retro-term-1.0.1-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2017-12-12 14:40:16 UTC
cool-retro-term-1.0.1-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.